Get Approved Tasks

This endpoint retrieves all approved tasks from the database.

GET
/SubmittedTask/GetApprovedTasks
AuthorizationBearer <token>

Authorization header using the Bearer scheme. Example: "Bearer {token}"

In: header

Query Parameters

page?integer

The page number to retrieve.

Formatint32
pageSize?integer

The number of items to retrieve per page. This parameter is optional and defaults to 5.

Default5
Formatint32
committee?string

The name of the committee to filter the tasks by. This parameter is optional.

Response Body

curl -X GET "https://loading/SubmittedTask/GetApprovedTasks"
{
  "pageAmount": 0,
  "items": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "possibleTaskId": "dec4e134-0e4f-4745-bba5-4adfb532ca18",
      "submittedAt": "2019-08-24T14:15:22Z",
      "committee": "string",
      "imagePath": "string",
      "status": "Pending",
      "points": 1,
      "rejectionReason": "string",
      "maxPerPeriod": 0
    }
  ]
}
Empty
Empty